type $viewport = {
    width: string;
    height: string;
};
type configType = {
    headless: boolean;
    browsers: Array<string>;
    mode: string;
    isAuthMode: boolean;
    authFilePath: string;
    trace: boolean;
    video: boolean;
    bddMode: boolean;
    lintPlugin?: Array<string>;
    featureFilesFolder: string;
    stepDefinitionsFolder: string;
    viewport: $viewport;
};
declare function readConfigFile(): configType;
export { readConfigFile, configType };
