"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var eslintLintStage_1 = require("../../src-ts/lint/eslintLintStage");
var startServer_sonarQube_1 = require("../../src-ts/lint/startServer-sonarQube");
function startLintAnalysis() {
    var _a = process.argv, action = _a[2], option = _a.slice(3);
    var lintAction = action;
    var cliParamPassed = option;
    switch (lintAction) {
        case "lint": {
            (0, eslintLintStage_1.runEslintForDiff)(cliParamPassed).finally(function () {
                (0, startServer_sonarQube_1.runSonarAnalysis)(cliParamPassed);
            });
            break;
        }
        default: {
            break;
        }
    }
}
startLintAnalysis();
//# sourceMappingURL=runner.js.map