declare function runSonarAnalysis(cliParams: Array<string>, executeArgs?: any): void;
type filterFilesType = {
    stepFilesPath: Array<string>;
    featureFilesPath: Array<string>;
};
declare function filterSpecAndFeatureFiles(resultJson: Array<any>): filterFilesType;
declare function getProjectNameFrmGit(): string;
declare function runChildSyncProcess(command: string, params: Array<string>, directory?: string): Array<string | Object | any>;
type credentials = {
    Dlogin: string;
    Dpassword: string;
};
declare function getCredentials(login: string | any, password: string | any): credentials;
type lintStatusType = {
    status: boolean;
    message: string;
};
declare function getLintStatus(): lintStatusType;
declare function getSonarArtifactsDir(): string;
export { runSonarAnalysis, getProjectNameFrmGit, runChildSyncProcess, getLintStatus, filterSpecAndFeatureFiles, getCredentials, credentials, getSonarArtifactsDir, };
