type $commit = {
    id: string;
    short_id: string;
    created_at: string;
    parent_ids: Array<string>;
    title: string;
    message: string;
    author_name: string;
    author_email: string;
    authored_date: string;
    committer_name: string;
    committer_email: string;
    committed_date: string;
    trailers: any;
    web_url: string;
};
type $diff = {
    old_path: string;
    new_path: string;
    a_mode: string;
    b_mode: string;
    new_file: boolean;
    renamed_file: boolean;
    deleted_file: boolean;
    diff: string;
};
type diffFormat = {
    commit: $commit;
    commits: Array<$commit>;
    diffs: Array<$diff>;
    compare_timeout: boolean;
    compare_same_ref: boolean;
};
export { diffFormat };
