type message = {
    ruleId: string;
    severity: number;
    message: string;
    line: number;
    column: number;
    nodeType: string;
    messageId: string;
    endLine: number;
    endColumn: number;
};
type deprecatedRule = {
    ruleId: string;
    replacedby: Array<string | any>;
};
type reportFormatSingleFile = {
    filePath: string;
    messages: Array<message>;
    errorCount: number;
    fatalErrorCount: number;
    warningCount: number;
    fixableErrorCount: number;
    fixableWarningCount: number;
    usedDeprecatedRules: Array<deprecatedRule>;
};
type reportFormat = Array<reportFormatSingleFile>;
export { reportFormat, message };
