"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.readLintConfig = void 0;
var fileUtils_1 = require("../utils/fileUtils");
var path_1 = __importDefault(require("path"));
function readLintConfig(lintFilePath) {
    if ((0, fileUtils_1.checkIfFileExists)(lintFilePath)) {
        return require(lintFilePath);
    }
    var actualLintPath = path_1.default.resolve(process.cwd(), 'lint.config.js');
    return require(actualLintPath);
}
exports.readLintConfig = readLintConfig;
//# sourceMappingURL=readLintConfigFile.js.map