"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.showMsgPopUp = void 0;
var startServer_sonarQube_1 = require("./startServer-sonarQube");
var path_1 = __importDefault(require("path"));
function showMsgPopUp(condition) {
    var command = 'java';
    var params = ['-jar', "".concat(getPopupJarPath()), (0, startServer_sonarQube_1.getProjectNameFrmGit)(), condition, 'java version 11'];
    switch (condition) {
        case 'NoIssueFound':
            (0, startServer_sonarQube_1.runChildSyncProcess)(command, params);
            break;
        case 'IssueFound':
            (0, startServer_sonarQube_1.runChildSyncProcess)(command, params);
            break;
        default:
            break;
    }
}
exports.showMsgPopUp = showMsgPopUp;
function getPopupJarPath(pathOptions) {
    return path_1.default.resolve(__dirname, "java-jar", "IDEMessagePluginRecent.jar");
}
//# sourceMappingURL=popUpCli.js.map