"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSonarJarPath = void 0;
var path_1 = __importDefault(require("path"));
var logger_1 = require("../utils/logger");
var fileUtils_1 = require("../utils/fileUtils");
function getSonarJarPath() {
    var jarPath = path_1.default.resolve(__dirname, "..", "lint-ci", "java-jar", "sonar-scanner-cli-4.8.0.2856.jar");
    if ((0, fileUtils_1.checkIfFileExists)(jarPath)) {
        return jarPath;
    }
    logger_1.Logger.log(logger_1.Logger.FAILURE_TYPE, "cannot find -  Java-Jar");
    process.exit(0);
}
exports.getSonarJarPath = getSonarJarPath;
//# sourceMappingURL=rootPath.js.map